Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Interface Content

All Superinterfaces:
  ConfigurableEntity, Serializable

All Known Subinterfaces:
  Document

All Known Implementing Classes:
  NodeDocument

public interface Content
extends Serializable, ConfigurableEntity

The content object is used to provide access to any type of content.

This is the base interface for all Content objects.

It has a unique identifier and a mimeType. The mimeType is used to describe to the user which application to use to interpret the specific content.

Attribute: `identifier`

- Containment: By Value
- Multiplicity: 1:1
- PRIMARY KEY FIELD
- The unique id of the Content.

Attribute: `mimeType`

- Containment: By Value
- Multiplicity: 1:1
- The MIME type of the Content.

When constructing queries for Contents, the above property/attribute names will compare against the explicit attributes on the Content interface. For example, to find content whose mime type matches "application/x-*", you could use a query string like "mimeType like 'application/x-*'".

See Also:
  `ContentManager`, `ExpressionHelper`, `Document`

Field Summary

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Method Summary
`ContentValue` | `getContentByValue()` Deprecated. No longer needed - use Content object instead.
`String` | `getIdentifier()` Deprecated. Get the unique identifier of this piece of Content.
`String` | `getMimeType()` Deprecated. Get the value of mimeType
`void` | `setContentByValue(ContentValue value)` Deprecated. Not implemented.
`void` | `setMimeType(String mimeType)` Deprecated. Set the value of mimeType

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getProperty, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Method Detail

### getContentByValue

    public ContentValue getContentByValue()
                                   throws RemoteException

  Deprecated. No longer needed - use Content object instead.

  Get all of Content's attributes.

  Returns:
    ContentValue the Content value object.
  Throws:
    `RemoteException` - thrown on a communication error.

### getIdentifier

    public String getIdentifier()
                         throws RemoteException

  Deprecated.
  Get the unique identifier of this piece of Content.

  Throws:
    `RemoteException` - thrown on a communication error.

### getMimeType

    public String getMimeType()
                       throws RemoteException

  Deprecated.
  Get the value of mimeType

  Returns:
    mimeType.
  Throws:
    `RemoteException` - thrown on a communication error.

### setContentByValue

    public void setContentByValue(ContentValue value)
                           throws RemoteException

  Deprecated. Not implemented.

  Set all of Content's attributes to the passed in value.

  Note: Primary key attributes are not set.

  Throws:
    `RemoteException` - thrown on a communication error.

### setMimeType

    public void setMimeType(String mimeType)
                     throws RemoteException

  Deprecated.
  Set the value of mimeType

  Parameters:
    `mimeType` - mimeType to be added
  Throws:
    `RemoteException` - thrown on a communication error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved